//
// ONVIFCameraInfo.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraInfo: Codable {

    public var manufacturer: String
    public var model: String
    public var firmwareVersion: String
    public var serialNumber: String
    public var hardwareId: String

    public init(manufacturer: String, model: String, firmwareVersion: String, serialNumber: String, hardwareId: String) {
        self.manufacturer = manufacturer
        self.model = model
        self.firmwareVersion = firmwareVersion
        self.serialNumber = serialNumber
        self.hardwareId = hardwareId
    }

    public enum CodingKeys: String, CodingKey { 
        case manufacturer
        case model
        case firmwareVersion = "firmware_version"
        case serialNumber = "serial_number"
        case hardwareId = "hardware_id"
    }

}
